PhycoBank - task #6015

task # 6014 (New): Use cdmlib validation framework for algae names

Assemble ICN rules special for algae names
07/25/2016 03:16 PM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%

Category: Validation Estimated time: 0:00 hour

Target version:

Description

Subtasks:

task # 6092: llustration in algal descriptions Rejected

Related issues:
Related to EDIT - feature request #6016: ICN rules in cdm validation framewor... Rejected

History

#1 - 07/25/2016 03:21 PM - Andreas Kohlbecker

- Related to feature request #6016: ICN rules in cdm validation framework implemented added

#2 -11/01/2016 10:18 AM - Wolf-Henning Kusber

- Subject changed from Assemble ICN rules special for algea names to Assemble ICN rules special for algae names

#3 - 03/15/2017 09:41 AM - Andreas Kohlbecker

- Category set to Validation

#4 - 02/02/2021 02:13 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Nach mehr als vier Jahren Arbeit mit PhycoBank wirde ich davon abraten, ICN-Regeln in ein Validation-Framework einzubauen.
Grinde:

1. Es gibt Zweifelsfélle, die interpretiert werden mussen.

2. Es gibt eine Reihe von Ausnahmen, die eine einheitliche Verwendung von Regeln schwierig machen.

3. Altdaten verstoBen oft gegen Regeln.

4. Regeln sind haufig so formuliert, dass die inhaltliche Entscheidung erfahrener Expert*innen notwandig sind.

5. Haufig gibt es einen Mix von Regelwerken, wie "wenn im ICZN so, dann im ICN so" oder, "wenn es fur einen zu ehrenden méannlichen Autoren
eine eingeflhrte lateinische Form gibt, dann wird statt zwei i nur ein i an das epithet angehangt.

Die tivialsten Regeln sind bereits in Vaadin eingebaut: Eine Art muss immer einer Gattung zugeordnet sein, ein infraspezifisches Epitheton immer
einer Art. Ein Typus hat immer einen Status etc. Fir eine weitere Regelimplementierung mache ich ein neues Ticket auf.

#5 - 02/03/2021 07:56 AM - Andreas Kohlbecker

- Status changed from New to Rejected

04/10/2024 1/1



http://www.tcpdf.org

